{% extends "base.html" %} {% load static %} {% block css %}
<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="{% static 'css/select2.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/select2-bootstrap.css' %}">
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
<link rel="stylesheet" href="https://code.getmdl.io/1.3.0/material.indigo-pink.min.css">
<link rel="stylesheet" type="text/css" href="{% static 'css/pmd-select2.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'css/textfield.css' %}">
{% endblock css%} {% block title %}
<h1>Proyectos en Curso</h1>
<ol class="breadcrumb">
    <li>
        <a style="cursor: default; color: white;">Dashboard</a>
    </li>
    <li>
        <a style="cursor: default; color: white;">Proyectos</a>
    </li>
    <li class="active">Proyectos en Curso</li>
</ol>
{% endblock title %} {% block content %}
{% comment %} <div class="row" style="padding-top: 20px">
    {% for project in projects %}
    <div class="col-md-3 col-sm-4 col-xs-12">
        <div class="card type--profile m-10">
            <header class="card-heading  card-blue">
                <img src="{% static 'img/logo_unab.png' %}" alt="" class="img-circle profile-mini">
            </header>
            <div class="card-body" style="height:300px;">
                <h3 class="name">{{ project.0.name|make_list|slice:':40'|join:''|safe}}{% if project.0.name|length > 40 %}...{% endif %}</h3>
                {% if project.1 == 1 or project.1 == 0 %}
                <div class="row">
                    <div class="form-group pmd-textfield pmd-textfield-floating-label">
                        <label>Elija la semana a evaluar: </label>
                        <select class="select2 select-with-search form-control pmd-select2" id="session{{project.0.pk}}">
                            {% for option in project.2 %}
                                <option value="{{option.0}}">{{option.1}}</option>
                            {% endfor %}
                        </select>
                    </div>
                    <div class="col-md-12 col-sm-8 col-xs-12">
                        <button data-career='{{project.0.carreer}}' data-projectpk='{{project.0.pk}}' type="button" class="project_eval btn btn-blue btn-round btn-sm">Evaluar Proyecto</a>
                    </div>
                </div>
                {% else %}
                <button class="btn btn-round btn-sm" style="color:gray" disabled>{{project.1}}</a>
                {% endif %}
                <!-- {% if project.1 == 1 %}
                <button class="btn btn-round btn-sm" style="color:gray" disabled>Proyecto Evaluado</a>
                {% elif project.1 == 0 %}
                <button data-career='{{project.0.carreer}}' data-projectpk='{{project.0.pk}}' type="button" class="project_eval btn btn-blue btn-round btn-sm">Evaluar Proyecto</a>
                {% else %}
                <button class="btn btn-round btn-sm" style="color:gray" disabled>{{project.1}}</a>
                {% endif %} -->
            </div>
            <div class="card-footer border-top" style="margin-bottom: 50px">
                <ul class="card-actions left-bottom">
                    <li>
                        <a href="{% url 'tesista_details' project.0.pk %}" class="btn btn-warning ">
                            Ver Detalles
                        </a>
                    </li>
                </ul>
                <ul class="list-group user-group p-l-10 pull-right">
                    {% for student in project.student_set.all %}
                    <li class="list-group-item">
                        <img src="{{student.img.url}}" alt="" class="img-circle max-w-40">
                    </li>
                    {% endfor %}
                </ul>
            </div>
        </div>
    </div>
    {% endfor %}
</div> {% endcomment %}
<div id="container" class="container-fluid row card" style="text-align:center">
    <a href="#" style="width:18%" class="btn btn-info btn_filter" valueid="REGULAR">        
        <div class="row">
            <div class="col-xs-8 text-center">
                <span>Regular</span>
                <h4 style="color:white;margin-top:1%;margin-bottom:1%" class="font-bold">{{ proj_regular }}</h4>
            </div>            
            <div class="col-xs-4 text-center" style="font-size:3em;text-align:center;padding-left: 0px;">
                <i class="zmdi zmdi-book "></i>
            </div>
        </div>
    </a>
    <a style="width:18%" style="pointer-events: none; cursor: default;" onclick='return false;' class="btn btn-warning btn_filter" valueid="ADVANCE">        
        <div class="row">
            <div class="col-xs-8 text-center">
                <span>Advance</span>
                <h4 style="color:white;margin-top:1%;margin-bottom:1%" class="font-bold">{{ proj_advance }}</h4>
            </div>            
            <div class="col-xs-4 text-center" style="font-size:3em;text-align:center;padding-left: 0px;">
                <i class="zmdi zmdi-case"></i>
            </div>
        </div>
    </a>
    <a href="#" style="width:18%" class="btn btn-success btn_filter" valueid="">        
        <div class="row">
            <div class="col-xs-8 text-center" >
                <span>Todos</span>
                <h4 style="color:white;margin-top:1%;margin-bottom:1%" class="font-bold" >{{ proj_todos }}</h4>
            </div>            
            <div class="col-xs-4 text-center" style="font-size:3em;text-align:center;padding-left: 0px;">
                <i class="zmdi zmdi-graduation-cap"></i>
            </div>
        </div>
    </a>
</div>

<div class="container-fluid row" >
    <div class="col-sm-12 col-md-12">
        <div class="card">
            <header class="card-heading card-blue text-center">
                <h2 class="card-title">Proyectos <span id="type_project"></span></h2>
                <div class="card-search">
                    <div id="productsTable_wrapper" class="form-group label-floating is-empty">
                        <i class="zmdi zmdi-search search-icon-left"></i>
                        <input type="text" class="form-control filter-input" placeholder="Filtrar proyectos" autocomplete="off">
                        <a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Cerrar">
                            <i class="zmdi zmdi-close"></i>
                        </a>
                    </div>
                </div>
            </header>
            <div class="card-body p-0">
                <div class="row">
                    <div class="col-md-12">
                        <table id="Lista_Prote" class="table m-t-30" cellspacing="0" style="width:100%;  ">
                            <thead>
                                <tr>
                                    <th>Nombre proyecto</th>
                                    <th>Profesor guía</th>
                                    <th>Alumnos</th>
                                    <th>Asignatura</th>
                                    <th>Regimen</th>
                                    <th>¿Dueño?</th>
                                    <th data-orderable="false">Sesión a evaluar</th>
                                    <th data-orderable="false">Acciones</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for project in projects %}
                                <tr>
                                    <td style="vertical-align: middle;">{{ project.0.name }}</td>
                                    <td style="vertical-align: middle;">{{ project.0.guide_teacher.name }}</td>
                                    <td style="text-align: center; vertical-align: middle;">
                                        {% if project.0.student_set.all != '' %}
                                        {% for x in project.0.student_set.all %}
                                        {{ x.name }} <br>
                                        {% endfor %}
                                        {% else %}
                                        Sin alumnos
                                        {% endif %}
                                    </td>
                                    <td style="vertical-align: middle;">{{project.4}}</td>                                
                                    {% if project.3 == "Advance" %}
                                    <td style="vertical-align: middle;text-align:center"><span class="label label-warning">{{project.3}}</span></td>
                                    {% else %}
                                    <td style="vertical-align: middle;text-align:center"><span class="label label-info">{{project.3}}</span></td>
                                    {% endif %}
                                    {% if request.user.userprofile == project.0.guide_teacher %}
                                    <td style="text-align: center; vertical-align: middle;"><span class="label label-success">Dueño</span></td>
                                    {% else %}
                                    <td style="text-align: center; vertical-align: middle;"><span class="label label-warning">Invitado</span></td>
                                    {% endif %}
                                    <td style="vertical-align: middle">
                                        {% if project.1 == 1 or project.1 == 0 %}
                                        <div class="row">
                                            <div class="pmd-textfield pmd-textfield-floating-label col-md-12 col-sm-12 col-xs-12" style="margin-top:2%">
                                                <select class="select2 select-with-search pmd-select2" id="session{{project.0.pk}}">
                                                    {% for option in project.2 %}
                                                        <option value="{{option.0}}">{{option.1}}</option>
                                                    {% endfor %}
                                                </select>
                                            </div>
                                        </div>
                                        {% else %}
                                        <button class="btn btn-round btn-sm" style="color:gray" disabled>{{project.1}}</a>
                                        {% endif %}
                                    </td>
                                    <td style="text-align: center; vertical-align: middle;">
                                        <div class="row">
                                            <div class="col-md-6" style="padding-left:0">
                                                <span data-career='{{project.0.carreer}}' data-projectpk='{{project.0.pk}}' class="project_eval btn btn-success btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Evaluar proyecto">
                                                    <i class="zmdi zmdi-assignment-check"></i>
                                                </span>
                                            </div>
                                            <div class="col-md-6" style="padding-left:0">
                                                <a href="{% url 'tesista_details' project.0.pk %}" class="btn btn-info btn-fab btn-fab-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Más detalles">
                                                    <i class="zmdi zmdi-eye"></i>
                                                </a>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock content %} {% block javascript %} 
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.6-rc.0/js/select2.min.js"></script>
<script src="{% static 'js/global.js' %}"></script>
<script src="{% static 'js/pmd-select2.js' %}"></script>
<script src="{% static 'js/select2.full.js' %}"></script>
<script defer src="https://code.getmdl.io/1.3.0/material.min.js"></script>
<script src="{% static 'js/textfield.js' %}"></script>
<script src="{% static 'js/plugins/bootstrap-tagsinput/bootstrap-tagsinput.js' %}"></script>
<script>
    $(document).ready(function(){
        $("#Lista_Prote").dataTable();
        $('.btn_filter').on('click',function(){
            table
                .column(4)
                .search($(this).attr('valueid'))
                .draw();
        });
        $(".select2").select2();
    });
    $(document).on("click",".project_eval",function(event){
        var button = $(this);
        var project_pk = button.data("projectpk");
        var carreer = button.data("career");
        var session = $("#session"+project_pk).val();
        console.log("SESION: ");
        console.log(session)
        var data = {
            project_pk: project_pk,
            carreer: carreer,
            session: session,
            csrfmiddlewaretoken: '{{ csrf_token }}'
        }
        console.log(data);
        $.ajax({
            type: "post",
            url: "{% url 'project_evaluation' %}",
            data: data,
            success: function (response) {
                console.log(response);
                window.location = response.url;           
            },
            error: function () {
                swal("ERROR!","No existe rúbrica para dicha carrera, por favor generar rúbrica antes de evaluar.","warning")
            },
        });
    });
</script>
{% endblock javascript %}